<?php // Feiertage.inc.php

function feiertag($datum) {
  $datumstr = date('d.m.Y',$datum);
  $ostern = easter_date(date('Y',$datum));

  // zu Ostern relative Feiertage
  /*if(date('L', $datum) == 1) {
    if($datumstr == date('d.m.Y',$ostern - 46*86400)) { $return[sizeof($return)] = 'Aschermittwoch'; }
  } else {
    if($datumstr == date('d.m.Y',$ostern - 45*86400)) { $return[sizeof($return)] = 'Aschermittwoch'; }
  } */
  if($datumstr == date('d.m.Y',$ostern - 2*86400)) { $return[sizeof($return)] = 'Karfreitag'; }
  if($datumstr == date('d.m.Y',$ostern)) { $return[sizeof($return)] = 'Ostersonntag'; }
  if($datumstr == date('d.m.Y',$ostern + 86400)) { $return[sizeof($return)] = 'Ostermontag'; }
  if($datumstr == date('d.m.Y',$ostern + 39*86400)) { $return[sizeof($return)] = 'Himmelfahrt'; }
  if($datumstr == date('d.m.Y',$ostern + 49*86400)) { $return[sizeof($return)] = 'Pfingstsonntag'; }
  if($datumstr == date('d.m.Y',$ostern + 50*86400)) { $return[sizeof($return)] = 'Pfingstmontag'; }
  if($datumstr == date('d.m.Y',$ostern + 60*86400)) { $return[sizeof($return)] = 'Fronleichnam'; }

  // sonstige relative Feiertage
  if($datumstr == date('d.m.Y',mktime(0,0,0,5,(14 - date('w',mktime(0,0,0,4,30,date('Y',$datum)))),date('Y',$datum)))) { $return[sizeof($return)] = 'Muttertag'; }
  if($datumstr == date('d.m.Y',mktime(0,0,0,11,26+(7 - date('w',mktime(0,0,0,11,26,date('Y',$datum)))),date('Y',$datum)))) { $return[sizeof($return)] = '1. Advent'; }
  if($datumstr == date('d.m.Y',mktime(0,0,0,11,26+(14 - date('w',mktime(0,0,0,11,26,date('Y',$datum)))),date('Y',$datum)))) { $return[sizeof($return)] = '2. Advent'; }
  if($datumstr == date('d.m.Y',mktime(0,0,0,11,26+(21 - date('w',mktime(0,0,0,11,26,date('Y',$datum)))),date('Y',$datum)))) { $return[sizeof($return)] = '3. Advent'; }
  if($datumstr == date('d.m.Y',mktime(0,0,0,11,26+(28 - date('w',mktime(0,0,0,11,26,date('Y',$datum)))),date('Y',$datum)))) { $return[sizeof($return)] = '4. Advent'; }
  if($datumstr == date('d.m.Y',mktime(0,0,0,11,15+(7 - date('w',mktime(0,0,0,11,26,date('Y',$datum)))),date('Y',$datum)))) { $return[sizeof($return)] = 'Bu- und Bettag'; }

  // feste Feiertage + eine Auswahl an Welttagen
  if(date('d.m.',$datum) == '01.01.') { $return[sizeof($return)] = 'Neujahr'; }
  if(date('d.m.',$datum) == '06.01.') { $return[sizeof($return)] = 'Hl. 3 Knige'; }
  if(date('d.m.',$datum) == '08.03.') { $return[sizeof($return)] = 'Internationaler Frauentag'; }
  if(date('d.m.',$datum) == '01.05.') { $return[sizeof($return)] = 'Tag der Arbeit'; }
  if(date('d.m.',$datum) == '31.05.') { $return[sizeof($return)] = 'Welt-Nichtraucher-Tag'; }
  if(date('d.m.',$datum) == '26.06.') { $return[sizeof($return)] = 'Internationaler Anti-Drogen-Tag'; }
  if(date('d.m.',$datum) == '03.10.') { $return[sizeof($return)] = 'Tag der Deutschen Einheit'; }
  if(date('d.m.',$datum) == '31.10.') { $return[sizeof($return)] = 'Reformationstag'; }
  if(date('d.m.',$datum) == '01.11.') { $return[sizeof($return)] = 'Allerheiligen'; }
  if(date('d.m.',$datum) == '01.12.') { $return[sizeof($return)] = 'Welt-AIDS-Tag'; }
  if(date('d.m.',$datum) == '06.12.') { $return[sizeof($return)] = 'Nikolaus'; }
  if(date('d.m.',$datum) == '10.12.') { $return[sizeof($return)] = 'Tag der Menschenrechte'; }
  if(date('d.m.',$datum) == '24.12.') { $return[sizeof($return)] = 'Heilig Abend'; }
  if(date('d.m.',$datum) == '25.12.') { $return[sizeof($return)] = '1. Weihnachtsfeiertag'; }
  if(date('d.m.',$datum) == '26.12.') { $return[sizeof($return)] = '2. Weihnachtsfeiertag'; }
  if(date('d.m.',$datum) == '31.12.') { $return[sizeof($return)] = 'Sylvester'; }
  
  // return
  return $return;

  /* Anm: Die Feiertage beziehen sich auf das christliche Kirchenjahr bzw. auf Deutschland. */
  /*      Die Auswahl der Welttage wurde nach persnlicher Vorliebe getroffen.              */
}

?>
